@page {
  size: a4;
  margin-top: 0mm;
}

.print-wrapper {
  display: block;
}

body {
  /*display: flex;*/
  /*flex-direction: column;*/
  /*justify-content: center;*/
  margin: 0 auto;
  margin-top: 50px;
  width: 100%;
  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;
}

a {
  color: #00b7ff;
}

img {
  margin: 0 auto;
  /* border: solid 1em #4c161699; */
  border-image-outset: unset;
  border-radius: 1em;
  box-shadow: rgb(0 0 0 / 35%) 1px 5px 15px 5px;
}

.front-page-title {
  color: #8d3131;
  font-size: 45px;
  font-weight: bold;
}

.front-page-sub-titile {
  color: #8d3131;
  font-size: 24px;
  font-weight: bold;
  margin-block-end: 0em;
  margin-block-start: 0.5em;
}

.report-title {
  color: #8d3131;
  font-size: 44px;
  font-weight: bold;
}

.event-overview-main-title {
  color: #8d3131;
  font-size: 44px;
  font-weight: bold;
  margin: 0px;
  margin-top: -0.75em;
  padding: 0 1em;
}

.event-main-overview-grid{
  display: grid;
  grid-template-columns: 4em 7.5em auto;
}

.event-financial-overview-grid{
  display: grid;
  grid-template-columns: 4em 9.5em auto;
}

.event-financial-overview-grid p{
  font-size: 15px;
  color: white;
  margin: auto 0;
}

.event-main-overview-grid p{
  font-size: 15px;
  color: white;
  margin: auto 0;
}

.event-overview-grid {
  display: grid;
  grid-template-columns: 4em 7.5em auto;
}

.event-overview-grid p{
  font-size: 15px;
  margin: 0 1em;
  margin: auto 0;
}

.table-of-content-title {
  color: #ffffff;
  font-size: 40px;
  font-weight: bold;
}

.table-of-content-footer{
  color: white;
  margin: 0;
}

.company-website {
  color: #8d3131;
  font-size: 25px;
  font-weight: bold;
  padding-bottom: -20px;
}

.line-separator-wrapper {
  display: flex;
}

.line-separator-left {
  display: block;
  background: transparent;
  width: 25%;
  border: none;
  border-top: solid 10px #aaa;
  border-color: #000000;
}

.line-separator-right {
  display: block;
  background: transparent;
  width: 75%;
  border: none;
  border-top: solid 10px #aaa;
  border-color: #8d3131;
}

.company-logo {
  margin-top: 20%;
  width: 30%;
  height: 15%;
  box-shadow: 0px 0px 0px;
}

.intro-footer {
  height: 20%;
  background-color: #8d3131 !important;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
}

.line-separator-footer {
  display: block;
  background: transparent;
  width: 15%;
  horizontal-align: left;
  border: none;
  border-top: solid 10px #ffffff;
  margin: 1rem 2rem 0rem 3rem;
}

.company-address {
  color: white;
  padding: 3rem 2rem 2rem 3rem;
}

.page {
  page-break-after: always;
}

.page-table-of-content {
  display: flex;
  margin-top: 20%;
  height: 80vh;
  width: 100vw;
  overflow: hidden !important;
  flex-direction: column;
  justify-content: center;
}

.table-of-content-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 90%;
  background-color: #8d3131;
  height: 70vh;
}

.page-intro {
  width: 80%;
  margin: 2em auto;
}

.page-event-overview {
  height: 80vh;
  background-color: #9d9b9b;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.page-event-overview-wrapper {
    height: 60vh;
    width: 85vw;
    background-color: white;
    padding: 4em 0;
}
.page-financial-overview {
  height: 80vh;
  background-color: #9d9b9b;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.page-financial-overview-wrapper {
    height: 60vh;
    width: 85vw;
    background-color: white;
    padding: 4em 0;
}

.table-of-content-name {
  color: white;
  padding-bottom: 5px;
  margin: 1.3em 0em;
  border-bottom: solid 1px #ffffff;
  font-size: 1rem;
  font-weight: "100";
  width: 40vh;
}

.table-of-content-page {
  float: right;
}

.event-overview-item {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  height: 52%;
}

.event-overview-title {
  color: gray;
  font-size: 1.2rem;
  margin: 0;
}
.event-overview-icons img {
  margin-top: 0.6em;
  height: 2.5em;
  border-radius: 0;
  box-shadow: #9d9b9b 0px 0px 0px 0px;
}

.event-overview-content {
  color: black;
  font-size: 1rem;
  font-weight: bold;
  margin: 0 0 1.5em 1em;
  width: 17em;
}

.event-overview-content p{
  margin: 0px;
}

.event-financial-overview-main-title {
  font-size: 24px;
  color: #8d3131;
}

.event-financial-overview-title-main {
  color: white;
  font-size: 1.2rem;
  margin: 1em 1em;
}
.event-financial-overview-title {
  color: black;
  font-size: 1.2rem;
  margin: 1em 1em;
}

.event-financial-overview-content {
  color: grey;
  font-size: 1rem;
  font-weight: bold;
  margin: 0;
  margin-bottom: 1.3em;
  width: 40%;
}

.event-overview-trainee-trainer {
  position: absolute;
  display: flex;
  margin-top: 28em;
  height: 13%;
  width: 102vw;
  background-color: #8d3131;
  justify-content: space-evenly;
  padding: 0em 5em 0em 5em;
}

.event-financial-overview-grand-total {
  position: absolute;
  display: flex;
  margin-top: 26em;
  height: 13%;
  width: 102vw;
  background-color: #8d3131;
  justify-content: space-evenly;
  padding: 0em 5em 0em 5em;
}

.event-financial-overview {
  position: absolute;
  display: flex;
  margin-top: 20em;
  height: 13%;
  width: 102vw;
  background-color: #8d3131;
  justify-content: space-between;
  padding: 0em 5em 0em 5em;
}

.event-financial-overview-detail {
  font-size: 14px;
  padding: 0 0;
  /* display: flex; */
}

.event-overview-number {
  text-align: center;
  font-size: 54px;
}

.event-overview-default {
  color: white;
  font-size: 30px;
  text-align: center;
}

.page-event-description {
  width: 75%;
  margin: 0 auto;
  margin-top: 5em;
}

.page-event-description-separator {
  display: block;
  background: transparent;
  border: none;
  border-top: solid 1px #aaa;
  border-color: #8d3131;
}

.event-description {
  text-align: justify;
  color: black;
  font-size: 16px;
}

.page-event-attendance {
  width: 95%;
  margin: 0 auto;
  margin-top: 2em;
}

.event-attendance-table {
  width: 100;
  border-collapse: collapse;
  page-break-inside: auto;
}

.event-attendance-table thead {
  padding-top: 2em;
  display: table-header-group;
}

.event-attendance-table tr {
  padding-top: 0.1em;
  page-break-inside: avoid;
  page-break-after: auto;
}

.event-attendance-table td {
  border-left: 1px solid #b7b9b69a;
  border-right: 1px solid #b7b9b683;
}

.page-per-attendee-page {
  width: 100%;
  margin: 0 auto;
  margin-top: 2em;
}

.per-attendee-event-attendance-table {
  width: 100;
  border-collapse: collapse;
  page-break-inside: auto;
}

.per-attendee-event-attendance-table tr {
  padding-top: 0.1em;
}

.per-attendee-event-attendance-table td {
  border-left: 1px solid #b7b9b69a;
  border-right: 1px solid #b7b9b683;
}

.event-attendace-row {
  border-bottom: solid 1px #b7b9b6;
}

.attendance-table-header {
  background-color: #8d3131;
}

.attendee-id-photo {
  height: 80%;
}
.per-attendee-page-title {
  color: #8d3131;
  font-size: 32px;
  font-weight: bold;
}

.per-attendee-page-detail {
  background-color: #8d3131;
  font-size: 18px;
  padding: 1em;
  display: flex;
  justify-content: space-between;
}

.per-attendee-page-detail p {
  color: #ffffff;
}

.reciept-photos {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
}
.reciept-photo {
  padding: 1em;
}

.reciept-photo img {
  height: 10em;
  border-radius: 3px;
  box-shadow: rgb(0 0 0 / 35%) 1px 5px 8px 3px;
}
.page-event-attachements {
  width: 95%;
  margin: 0 auto;
  margin-top: 2em;
}

.event-attachement-image {
  padding-top: 1.2em;
  text-align: center;
}

.page-event-attachements img {
  text-align: center;
  box-shadow: rgb(0 0 0 / 35%) 1px 5px 19px 5px;
  border-radius: 0.2em;
}

.print-button {
  margin-left: 2em;
  position: fixed;
}

.html-embedings{
  width: 98%;
  margin: 0 auto;
  padding: 1em;
}

.html-embedings p{
  margin: 0;
}

.html-embedings table{
  border-collapse: collapse;
  margin: 0 auto;
  margin-top: 1em;
}

.html-embedings  th {
  background-color: lightgrey;
}

.html-embedings td, .html-embedings  th{
  border: 1px solid #b7b9b69a;
}

.paysheet table tbody tr:nth-child(-n+4){
  text-align: center;
}

.paysheet table tbody tr:nth-child(2){
  font-size: 16px;
  font-weight: bold;
}

#sjs-M6, #sjs-M7 , #sjs-M8, #sjs-M9, #sjs-M10, #sjs-M11, #sjs-M12{
  font-weight: bold;
}
#sjs-H16, #sjs-K16{
  text-align: center;
}

.paysheet table {
  border-collapse: collapse;
}

.paysheet table tr:nth-child(n+16) td {
  border: 1px solid #b7b9b69a;
}

.paysheet tr:nth-child(16), .paysheet tr:nth-child(17) {
  background-color: lightgrey;
  font-weight: bold;
}

.paysheet tr:nth-last-child(-n+2), .paysheet tr:nth-last-child(-n+3) {
  background-color: lightgrey;
  font-weight: bold;
}

.bank-letter {
  width: 95%;
}

.bank-letter table {
  border-collapse: collapse;
  margin: 0 auto;
  margin-top: 1em;
  width: 75%;
}

.bank-letter table p{
  text-align: left !important;
  padding: 0 !important; 
}

.bank-letter  th {
  background-color: lightgrey;
}

.bank-letter td, .bank-letter  th{
  border: 1px solid #b7b9b69a;
}

.bank-letter p:nth-child(-n+2){
  text-align: right;
  padding-right: 3em;
}

.bank-letter p:nth-child(-n+6) {
  padding-left: 3em;
}

.bank-letter p:nth-last-child(-n+6) {
  padding-left: 3em;
}

.outr-footer {
  margin-top: 2em;
  font-size: 14px;
  padding: 1em;
  display: flex;
}

hr {
  border: none;
  border-top: 1.5px solid #8d3131;
  color: #8d3131;
  overflow: visible;
  text-align: center;
  height: 0px;
}

@media print {
  * {
    -webkit-print-color-adjust: exact !important;
    /*Chrome, Safari */
    color-adjust: exact !important;
    /*Firefox*/
  }
  .print-button {
    display: none;
  }
  .print-wrapper {
    margin: 0;
    display: block;
  }
  .page-table-of-content {
    margin-top: 0px;
  }
  .intro-footer {
    height: 20%;
    background-color: #8d3131 !important;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
  }
}

/* @media only print and (max-width: 600px){
    * {
        -webkit-print-color-adjust: exact !important;
        Chrome, Safari
        color-adjust: exact !important;
        Firefox
    }
    .event-overview-trainee-trainer {
        position: absolute;
        display: flex;
        margin-top: 25em;
        height: 13%;
        width: 85vw;
        background-color: #8d3131;
        justify-content: space-between;
        padding: 0em 5em 0em 5em;
    }

    .page-event-overview {
        height: 90vh;
        background-color: #9d9b9b;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    
    .page-event-overview-wrapper {
        height: 70vh;
        width: 70vw;
        background-color: white;
        padding: 4em;
    }

    .print-button {
        display: none;
    }

    .print-wrapper {
        margin: 0;
        display: block;
    }

    .page-table-of-content {
        margin-top: 0px;
    }
    .intro-footer {
        display: none;
        height: 20%;
        background-color: #8d3131 !important;
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
    }
} */
